osapi.jive.corev3.communications.Share

A Share is a way to share content or places with other users. If a content object is shared, both content and place fields will be present, describing the content object that is shared and the place that contains it. If a place is shared, only place will be present. An example JSON representation looks like this:

Examples:

The minimum JSON required to create a Share:

 {
     "content" : {
         "type" : "text/html",
         "text" : "Hey, you should join in on this discussion!"
     },
     "participants" : [
         "http://jive.somecompany.com/api/core/v3/people/2345"
     ],
     "shared" : "http://jive.somecompany.com/api/core/v3/contents/12345"
 }
Create a Share

The simplest example of creating a Share.

 //Create a simple share
 var user = ... ; //existing user object
 var doc = ...; //existing document object

 var share = {
     "content" : {
         "type" : "text/html",
         "text" : "Here's a share created with the v3 Javascript API!"
     },
     "participants" : [user.toURI()],
     "shared" : doc.toURI()
 };
 
 var request = osapi.jive.corev3.shares.create(share);
 
 request.execute(function(data) {
      console.log("Share created!", data);
 });

Properties

PropertyTypeMode †Description
authorPersonread-only↑

Author of this content object.

contentContentBodyrequired↑

Content of this content object.

followerCountIntegerread-only↑

Number of people following this object.

Availability:

Will be present only for object types that support being followed.

highlightBodyStringread-only↑

Highlight snippet of a search match in the body or description.

Availability:

Will be present in search results only.

highlightSubjectStringread-only↑

Highlight snippet of a search match in the subject or name.

Availability:

Will be present in search results only.

highlightTagsStringread-only↑

Highlight snippet of a search match in tags.

Availability:

Will be present in search results only.

idStringread-only↑

Identifier (unique within an object type and Jive instance) of this object. This field is internal to Jive and should not be confused with contentID or placeID used in URIs.

likeCountIntegerread-only↑

Number of people who have liked this object.

Availability:

Will be present only for object types that support being liked.

parentStringrequired↑

URI of the parent place (or person, for personal content) of this content object.

parentContentSummaryread-only↑

Summary information about the content object that is the parent of this object.

Availability:

Will be present in search results only.

parentPlaceSummaryread-only↑

Summary information about the place that contains this object.

Availability:

Will be present in search results only.

participantsPerson[]required↑

The people with which a content object or place has been shared.

publishedISO 8601 Dateread-only↑

Date and time when this content object was originally created.

replyCountIntegerread-only↑

Number of replies to this object.

Availability:

Will be present only for object types that support replies.

resourcesObjectread-only↑

Resource links (and related permissions for the requesting person) relevant to this object.

sharedContentObjectread-only↑

The content object that was shared, if any. If a place was shared, this field will not be present.

sharedPlacePlaceread-only↑

The place containing the content object that was shared, if a content object was shared. If a place was shared, this will be the place.

statusStringread-only↑

Published status of this content object.

  • incomplete - Content object is in draft mode
  • pending_approval - Content object is waiting for approval
  • rejected - Content object has been rejected for publication by an approver
  • published - Content object has been published
subjectStringread-only↑

Subject of this content object.

tagsString[]optional↑

Tags associated with this object.

Availability:

Will be present only for object types that support tags

typeStringread-only↑

The object type of this object ("share").

updatedISO 8601 Dateread-only↑

Date and time this content object was most recently updated.

viewCountIntegerread-only↑

Number of times this content object has been viewed.

Availability:

Will be present only for objects that support view counts

visibleToExternalContributorsBooleanread-only↑

Flag indicating that this content object is potentially visible to external contributors.

†
→ Fields used by update and create operations
→ Fields used only by create operations
→ Fields not used by update or create operations

Methods

↑
createComment(comment,options)
POST /shares/1234/comments

Retrieves

Comment

Description

Add a comment about this share.

The minimum JSON object needed to create a comment is:

     {
         "content": {"type": "text/html", "text": "<body><p>This is a new comment</p></body>"},
     }
Takes:
Options:
NameTypeRequiredDescription
fieldsStringfalseThe names of the fields to be returned
Retrieves:
  • Comment representing the recorded comment
  • ↑
    destroy()
    DELETE /shares/1234

    Retrieves

    --

    Description

    Delete this content object and any related comments and other related information.

    ↑
    get(options)
    GET /shares/1234

    Retrieves

    Share

    Description

    Return an updated version of this share.

    Options:
    NameTypeRequiredDescription
    fieldsStringfalseThe names of the fields to be returned
    Retrieves:
  • Share describing this content object
  • ↑
    getComments(options)
    GET /shares/1234/comments

    Retrieves

    Comment[]

    Description

    Return a paginated list of the comments about this content object.

    Options:
    NameTypeRequiredDescription
    outcomeTypeStringfalseThe type name of outcomes to filter by.
    countIntegerfalseThe maximum number of comments to be returned (default is 25)
    anchorStringfalseoptional URI for a comment to anchor at. Specifying a anchor will try to return the page containing the anchor. If the anchor could not be found then the first page of comments will be returned.
    excludeRepliesBooleanfalseFlag indicating that replies to the direct comments about this direct message should be excluded (default is false)
    fieldsStringfalseThe names of the fields to be returned
    hierarchicalBooleanfalseFlag indicating that comments should be returned in hierarchical order instead of chronological order (default is true)
    startIndexIntegerfalseZero-relative index of the first comment to be returned (default is zero)
    Retrieves:
  • Comment[]
  • ↑
    markRead()
    POST /shares/1234/read

    Retrieves

    --

    Description

    Mark this share as having been read.

    Since: 3.2
    ↑
    markUnread()
    DELETE /shares/1234/read

    Retrieves

    --

    Description

    Mark this share as unread.

    Since: 3.2
    ↑
    toURI()

    Retrieves

    String

    Description

    Retrieves:
  • A URI representing this entity, or undefined if no such URI exists.
  • ↑
    toURI()

    Retrieves

    String

    Description

    Retrieves:
  • A URI representing this entity, or undefined if no such URI exists.
  • ↑
    update(multipartbody,options)
    PUT /contents/1234

    Retrieves

    Content

    Description

    Update the information about this content object.

    Options:
    NameTypeRequiredDescription
    fieldsStringfalseThe names of the fields to be returned
    Retrieves:
  • Content representing the updated content object
  • Resources

    ResourceMethodReturnsDescription
    htmlGETObject↑

    Return the HTML representation of this share.